Bug 1410729 - toolbar and menubar not visible
Summary: toolbar and menubar not visible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK3
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 09:16 UTC by Saša Janiška
Modified: 2017-01-17 20:19 UTC (History)
2 users (show)

Fixed In Version: wxGTK3-3.0.2-32.fc25 wxGTK3-3.0.2-32.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:23:21 UTC
Type: Bug


Attachments (Terms of Use)
screenshot of running toolbar sample (10.26 KB, image/png)
2017-01-06 09:16 UTC, Saša Janiška
no flags Details

Description Saša Janiška 2017-01-06 09:16:55 UTC
Created attachment 1237904 [details]
screenshot of running toolbar sample

Description of problem:

Toolbar and menubar in wxGTK3  appplications are not visible.

Version-Release number of selected component (if applicable):

wxGTK3-devel-3.0.2-30.fc25
How reproducible:

always

Steps to Reproduce:
1. download wxWidgets-3.0.2 source package
2. unpack the tarball and cd samples/toolbar
3. build toolbar sample with: make -f makefile.unx and run ./toolbar

Actual results:

See attached image.

Expected results:


Additional info:

Toolbar build correctly:

$ make -f makefile.unx 
`wx-config --cxx` -c -o toolbar_toolbar.o -I. `wx-config --cxxflags --unicode=yes --static=no --toolkit=gtk3 --version=3.0`   -MTtoolbar_toolbar.o -MF`echo toolbar_toolbar.o | sed -e 's,\.o$,.d,'` -MD -MP toolbar.cpp
`wx-config --cxx` -o toolbar toolbar_toolbar.o     `wx-config --unicode=yes --static=no --toolkit=gtk3 --version=3.0 --libs core,base`

Comment 1 Fedora Update System 2017-01-07 16:15:50 UTC
wxGTK3-3.0.2-32.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d0485be15

Comment 2 Fedora Update System 2017-01-07 16:16:15 UTC
wxGTK3-3.0.2-32.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-503b24e62a

Comment 3 Fedora Update System 2017-01-08 01:19:51 UTC
wxGTK3-3.0.2-32.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-503b24e62a

Comment 4 Fedora Update System 2017-01-08 02:22:17 UTC
wxGTK3-3.0.2-32.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d0485be15

Comment 5 Fedora Update System 2017-01-11 07:23:21 UTC
wxGTK3-3.0.2-32.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-01-17 20:19:43 UTC
wxGTK3-3.0.2-32.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.